Diff for /embedaddon/libiconv/po/Makefile.in.in between versions 1.1.1.2 and 1.1.1.3

version 1.1.1.2, 2012/05/29 09:29:43 version 1.1.1.3, 2021/03/17 13:38:46
Line 1 Line 1
 # Makefile for PO directory in any package using GNU gettext.  # Makefile for PO directory in any package using GNU gettext.
 # Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu>  # Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
 #  #
# This file can be copied and used freely without restrictions.  It can# Copying and distribution of this file, with or without modification,
# be used in projects which are not available under the GNU General Public# are permitted in any medium without royalty provided the copyright
# License but which still want to provide support for the GNU gettext# notice and this notice are preserved.  This file is offered as-is,
# functionality.# without any warranty.
# Please note that the actual code of GNU gettext is covered by the GNU 
# General Public License and is *not* in the public domain. 
 #  #
# Origin: gettext-0.18# Origin: gettext-0.19.8
GETTEXT_MACRO_VERSION = 0.18GETTEXT_MACRO_VERSION = 0.19
   
 PACKAGE = @PACKAGE@  PACKAGE = @PACKAGE@
 VERSION = @VERSION@  VERSION = @VERSION@
 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
   
SHELL = /bin/shSED = @SED@
 SHELL = @SHELL@
 @SET_MAKE@  @SET_MAKE@
   
 srcdir = @srcdir@  srcdir = @srcdir@
Line 44  install_sh = $(SHELL) @install_sh@ Line 43  install_sh = $(SHELL) @install_sh@
 MKDIR_P = @MKDIR_P@  MKDIR_P = @MKDIR_P@
 mkdir_p = @mkdir_p@  mkdir_p = @mkdir_p@
   
   # When building gettext-tools, we prefer to use the built programs
   # rather than installed programs.  However, we can't do that when we
   # are cross compiling.
   CROSS_COMPILING = @CROSS_COMPILING@
   
 GMSGFMT_ = @GMSGFMT@  GMSGFMT_ = @GMSGFMT@
 GMSGFMT_no = @GMSGFMT@  GMSGFMT_no = @GMSGFMT@
 GMSGFMT_yes = @GMSGFMT_015@  GMSGFMT_yes = @GMSGFMT_015@
Line 76  POTFILES = \ Line 80  POTFILES = \
   
 CATALOGS = @CATALOGS@  CATALOGS = @CATALOGS@
   
   POFILESDEPS_ = $(srcdir)/$(DOMAIN).pot
   POFILESDEPS_yes = $(POFILESDEPS_)
   POFILESDEPS_no =
   POFILESDEPS = $(POFILESDEPS_$(PO_DEPENDS_ON_POT))
   
   DISTFILESDEPS_ = update-po
   DISTFILESDEPS_yes = $(DISTFILESDEPS_)
   DISTFILESDEPS_no =
   DISTFILESDEPS = $(DISTFILESDEPS_$(DIST_DEPENDS_ON_UPDATE_PO))
   
 # Makevars gets inserted here. (Don't remove this line!)  # Makevars gets inserted here. (Don't remove this line!)
   
 .SUFFIXES:  .SUFFIXES:
Line 96  CATALOGS = @CATALOGS@ Line 110  CATALOGS = @CATALOGS@
         mv t-$@ $@          mv t-$@ $@
   
   
all: check-macro-version all-@USE_NLS@all: all-@USE_NLS@
   
 all-yes: stamp-po  all-yes: stamp-po
 all-no:  all-no:
   
 # Ensure that the gettext macros and this Makefile.in.in are in sync.  # Ensure that the gettext macros and this Makefile.in.in are in sync.
check-macro-version:CHECK_MACRO_VERSION = \
        @test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \        test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \
           || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \            || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \
                exit 1; \                 exit 1; \
              }               }
Line 123  check-macro-version: Line 137  check-macro-version:
 # $(POFILES) has been designed to not touch files that don't need to be  # $(POFILES) has been designed to not touch files that don't need to be
 # changed.  # changed.
 stamp-po: $(srcdir)/$(DOMAIN).pot  stamp-po: $(srcdir)/$(DOMAIN).pot
           @$(CHECK_MACRO_VERSION)
         test ! -f $(srcdir)/$(DOMAIN).pot || \          test ! -f $(srcdir)/$(DOMAIN).pot || \
           test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)            test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
         @test ! -f $(srcdir)/$(DOMAIN).pot || { \          @test ! -f $(srcdir)/$(DOMAIN).pot || { \
Line 137  stamp-po: $(srcdir)/$(DOMAIN).pot Line 152  stamp-po: $(srcdir)/$(DOMAIN).pot
   
 # This target rebuilds $(DOMAIN).pot; it is an expensive operation.  # This target rebuilds $(DOMAIN).pot; it is an expensive operation.
 # Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.  # Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
   # The determination of whether the package xyz is a GNU one is based on the
   # heuristic whether some file in the top level directory mentions "GNU xyz".
   # If GNU 'find' is available, we avoid grepping through monster files.
 $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed  $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
        if LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null | grep -v 'libtool:' >/dev/null; then \        package_gnu="$(PACKAGE_GNU)"; \
          package_gnu='GNU '; \        test -n "$$package_gnu" || { \
           if { if (LC_ALL=C find --version) 2>/dev/null | grep GNU >/dev/null; then \
                  LC_ALL=C find -L $(top_srcdir) -maxdepth 1 -type f \
                                -size -10000000c -exec grep 'GNU @PACKAGE@' \
                                /dev/null '{}' ';' 2>/dev/null; \
                else \
                  LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null; \
                fi; \
              } | grep -v 'libtool:' >/dev/null; then \
              package_gnu=yes; \
            else \
              package_gnu=no; \
            fi; \
         }; \
         if test "$$package_gnu" = "yes"; then \
           package_prefix='GNU '; \
         else \          else \
          package_gnu=''; \          package_prefix=''; \
         fi; \          fi; \
         if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \          if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
           msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \            msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
Line 161  $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.i Line 194  $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.i
               --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \                --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
               --files-from=$(srcdir)/POTFILES.in \                --files-from=$(srcdir)/POTFILES.in \
               --copyright-holder='$(COPYRIGHT_HOLDER)' \                --copyright-holder='$(COPYRIGHT_HOLDER)' \
              --package-name="$${package_gnu}@PACKAGE@" \              --package-name="$${package_prefix}@PACKAGE@" \
               --package-version='@VERSION@' \                --package-version='@VERSION@' \
               --msgid-bugs-address="$$msgid_bugs_address" \                --msgid-bugs-address="$$msgid_bugs_address" \
             ;; \              ;; \
         esac          esac
         test ! -f $(DOMAIN).po || { \          test ! -f $(DOMAIN).po || { \
             if test -f $(srcdir)/$(DOMAIN).pot-header; then \
               sed -e '1,/^#$$/d' < $(DOMAIN).po > $(DOMAIN).1po && \
               cat $(srcdir)/$(DOMAIN).pot-header $(DOMAIN).1po > $(DOMAIN).po; \
               rm -f $(DOMAIN).1po; \
             fi; \
           if test -f $(srcdir)/$(DOMAIN).pot; then \            if test -f $(srcdir)/$(DOMAIN).pot; then \
             sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \              sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
             sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \              sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
Line 189  $(srcdir)/$(DOMAIN).pot: Line 227  $(srcdir)/$(DOMAIN).pot:
   
 # This target rebuilds a PO file if $(DOMAIN).pot has changed.  # This target rebuilds a PO file if $(DOMAIN).pot has changed.
 # Note that a PO file is not touched if it doesn't need to be changed.  # Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES): $(srcdir)/$(DOMAIN).pot$(POFILES): $(POFILESDEPS)
         @lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \          @lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
         if test -f "$(srcdir)/$${lang}.po"; then \          if test -f "$(srcdir)/$${lang}.po"; then \
             test -f $(srcdir)/$(DOMAIN).pot || $(MAKE) $(srcdir)/$(DOMAIN).pot; \
           test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \            test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
           echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \            echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
           cd $(srcdir) \            cd $(srcdir) \
            && { case `$(MSGMERGE_UPDATE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \            && { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
                    '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \                     '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
                      $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \                       $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
                    *) \                     *) \
Line 352  maintainer-clean: distclean Line 391  maintainer-clean: distclean
   
 distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)  distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
 dist distdir:  dist distdir:
        $(MAKE) update-po        test -z "$(DISTFILESDEPS)" || $(MAKE) $(DISTFILESDEPS)
         @$(MAKE) dist2          @$(MAKE) dist2
 # This is a separate target because 'update-po' must be executed before.  # This is a separate target because 'update-po' must be executed before.
 dist2: stamp-po $(DISTFILES)  dist2: stamp-po $(DISTFILES)
Line 396  update-po: Makefile Line 435  update-po: Makefile
   
 .nop.po-update:  .nop.po-update:
         @lang=`echo $@ | sed -e 's/\.po-update$$//'`; \          @lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
        if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; fi; \        if test "$(PACKAGE)" = "gettext-tools" && test "$(CROSS_COMPILING)" != "yes"; then PATH=`pwd`/../src:$$PATH; fi; \
         tmpdir=`pwd`; \          tmpdir=`pwd`; \
         echo "$$lang:"; \          echo "$$lang:"; \
         test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \          test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \

Removed from v.1.1.1.2  
changed lines
  Added in v.1.1.1.3


FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>